<template>
    <div class="comment-list">
        <template v-if="comments.length">
        <CommentItem v-for="(comment) in comments"
            :key="comment.id" 
            :comment="comment"
            @delete-comment="$emit('delete-comment', $event)"
            @fill-form="$emit('fill-form', $event)"
        />
        </template>
        <div data-test="fallback-message" id="notfound-wrapper" v-else>
            <h1>No comment was found :(</h1>
        </div>
    </div>
</template>

<script>
import CommentItem from '@/components/CommentItem'

export default {
    name: 'CommentList',
    props: {
        comments: {
            type: Array,
            default: function() {
                return []
            }
        }
    },
    components: {
        CommentItem
    }
}
</script>

<style scoped>
    .comment-list {
        display: grid;
        grid-template-columns: 1fr;
        gap: 20px;
    }

    #notfound-wrapper {
        margin-top: 2rem;
    }

    #notfound-wrapper h1 {
        text-align: center;
    }
</style>